Index: trunk/VUT/doc/DummyModules/overview.tex
===================================================================
--- trunk/VUT/doc/DummyModules/overview.tex	(revision 70)
+++ trunk/VUT/doc/DummyModules/overview.tex	(revision 71)
@@ -3,13 +3,13 @@
 
 
- The visibility work package aims to develop methods for making use of
+ The visibility workpackage aims to develop methods for making use of
 restricted visibility in large scenes. The major goal of these methods
-is to avoid wasting of the computational power on currently invisible
-parts of the scene. To address this goal we develop new methods for
-online visibility culling and offline visibility preprocessing. The
-online visibility culling is either used to render only visible part
-of the scene or to provide queries which determine visible part of the
-scene in runtime. Visibility preprocessing provides partitioning of the
-view space into view cells and for each view cell it calculates a
+is to avoid wasting computational power on currently invisible parts
+of the scene. To address this goal, we develop new methods for online
+visibility culling and offline visibility preprocessing. The online
+visibility culling is either used to render only visible part of the
+scene or to provide queries which determine visible parts of the scene
+in runtime. Visibility preprocessing provides partitioning of the view
+space into view cells, and for each view cell it calculates a
 potentially visible set.
 
@@ -17,14 +17,14 @@
 \section{Module Class Hierarchy}
 
- The visibility work package consist of a module which is integrated
+ The visibility workpackage consists of a module which is integrated
 into the game engine and an external module which deals with
 preprocessing. One of the goals of the design of the module class
 hierarchy has been easy portability of the developed methods to other
 game engines. The resulting class structure clearly separates the
-actual engine dependent parts from the game engine independent
+actual engine-dependent parts from the game engine independent
 algorithmic parts.  We have used name spaces to separate the engine
 dependent parts (name space Ogre) from the engine independent parts
-(name space GtpVisibility). The external visibility preprocessing module
-defines its own name space (GtpVisibilityPreprocessor).
+(name space GtpVisibility). The external visibility preprocessing
+module defines its own name space (GtpVisibilityPreprocessor).
 
  An overview of the important classes of the visibility work package and
@@ -43,14 +43,14 @@
 The diagram shows that the module integrated into the engine consists
 of three main parts (CullingManager, QueryManager,
-PreprocessingManager) which are encapsulated in a helper class
+PreprocessingManager), which are encapsulated in a helper class
 (Visibility Manager). The helper class then deals with the
-initialization of the contained parts and allows an easy communication
+initialization of the contained parts and allows easy communication
 between them.
 
 \section{Visibility Culling}
 
-Visibility culling seamlessly integrates into the rendering
-loop and eliminates most invisible objects from being send to the
-pipeline. Visibility culling is implemented by instances of the CullingManager
+Visibility culling seamlessly integrates into the rendering loop and
+eliminates most invisible objects from being sent to the pipeline.
+Visibility culling is implemented by instances of the CullingManager
 class. We will provide several implementations which can be easily
 switched at runtime and so the best technique for the particular scene
@@ -78,11 +78,10 @@
 the PreprocessingManager and used inside the engine.
 
- Apart from the scene definition file the preprocessor will be able
+ Apart from the scene definition file, the preprocessor will be able
 to import the view cell definition. In this case it will assume the
-view cells have to be described as meshes satisfying set of
-requirements. Alternatively the module can generate view cells by
+view cells have to be described as meshes satisfying a set of
+requirements. Alternatively, the module can generate view cells by
 automatic view space partitioning.
 
 
 %{\textbullet}\tab\textbf{Construction module for tree multiresolution models.}
-
Index: trunk/VUT/doc/DummyModules/doxyfile_gtp_dummy
===================================================================
--- trunk/VUT/doc/DummyModules/doxyfile_gtp_dummy	(revision 70)
+++ trunk/VUT/doc/DummyModules/doxyfile_gtp_dummy	(revision 71)
@@ -26,5 +26,5 @@
 INLINE_INHERITED_MEMB  = NO
 FULL_PATH_NAMES        = YES
-STRIP_FROM_PATH        = "/cygdrive/d/gametools/gametools/trunk/VUT/"
+STRIP_FROM_PATH        = "d:/gametools/trunk/VUT/"
 STRIP_FROM_INC_PATH    = 
 SHORT_NAMES            = NO
Index: trunk/VUT/doc/DummyModules/doxyfile_gtp_dummy_2
===================================================================
--- trunk/VUT/doc/DummyModules/doxyfile_gtp_dummy_2	(revision 71)
+++ trunk/VUT/doc/DummyModules/doxyfile_gtp_dummy_2	(revision 71)
@@ -0,0 +1,261 @@
+# Doxyfile 1.4.2
+
+#---------------------------------------------------------------------------
+# Project related configuration options
+#---------------------------------------------------------------------------
+PROJECT_NAME           = "GameTools Visibility"
+PROJECT_NUMBER         = 0.1
+OUTPUT_DIRECTORY       = ./
+CREATE_SUBDIRS         = NO
+OUTPUT_LANGUAGE        = English
+USE_WINDOWS_ENCODING   = YES
+BRIEF_MEMBER_DESC      = YES
+REPEAT_BRIEF           = YES
+ABBREVIATE_BRIEF       = "The $name class" \
+                         "The $name widget" \
+                         "The $name file" \
+                         is \
+                         provides \
+                         specifies \
+                         contains \
+                         represents \
+                         a \
+                         an \
+                         the
+ALWAYS_DETAILED_SEC    = NO
+INLINE_INHERITED_MEMB  = NO
+FULL_PATH_NAMES        = YES
+STRIP_FROM_PATH        = D:\gametools\trunk\VUT\
+STRIP_FROM_INC_PATH    = 
+SHORT_NAMES            = NO
+JAVADOC_AUTOBRIEF      = NO
+MULTILINE_CPP_IS_BRIEF = NO
+DETAILS_AT_TOP         = NO
+INHERIT_DOCS           = YES
+DISTRIBUTE_GROUP_DOC   = NO
+SEPARATE_MEMBER_PAGES  = YES
+TAB_SIZE               = 8
+ALIASES                = 
+OPTIMIZE_OUTPUT_FOR_C  = NO
+OPTIMIZE_OUTPUT_JAVA   = NO
+SUBGROUPING            = YES
+#---------------------------------------------------------------------------
+# Build related configuration options
+#---------------------------------------------------------------------------
+EXTRACT_ALL            = YES
+EXTRACT_PRIVATE        = YES
+EXTRACT_STATIC         = YES
+EXTRACT_LOCAL_CLASSES  = YES
+EXTRACT_LOCAL_METHODS  = YES
+HIDE_UNDOC_MEMBERS     = NO
+HIDE_UNDOC_CLASSES     = YES
+HIDE_FRIEND_COMPOUNDS  = NO
+HIDE_IN_BODY_DOCS      = NO
+INTERNAL_DOCS          = NO
+CASE_SENSE_NAMES       = NO
+HIDE_SCOPE_NAMES       = NO
+SHOW_INCLUDE_FILES     = YES
+INLINE_INFO            = YES
+SORT_MEMBER_DOCS       = NO
+SORT_BRIEF_DOCS        = YES
+SORT_BY_SCOPE_NAME     = YES
+GENERATE_TODOLIST      = YES
+GENERATE_TESTLIST      = YES
+GENERATE_BUGLIST       = YES
+GENERATE_DEPRECATEDLIST= YES
+ENABLED_SECTIONS       = 
+MAX_INITIALIZER_LINES  = 30
+SHOW_USED_FILES        = YES
+SHOW_DIRECTORIES       = YES
+FILE_VERSION_FILTER    = 
+#---------------------------------------------------------------------------
+# configuration options related to warning and progress messages
+#---------------------------------------------------------------------------
+QUIET                  = NO
+WARNINGS               = YES
+WARN_IF_UNDOCUMENTED   = YES
+WARN_IF_DOC_ERROR      = YES
+WARN_NO_PARAMDOC       = NO
+WARN_FORMAT            = "$file:$line: $text"
+WARN_LOGFILE           = 
+#---------------------------------------------------------------------------
+# configuration options related to the input files
+#---------------------------------------------------------------------------
+INPUT                  = ../../GtpVisibility/src/ \
+                         ../../GtpVisibility/include/ \
+                         ../../Ogre/src/ \
+                         ../../Ogre/include/ \
+                         ../../GtpVisibilityPreprocessor/src/ \
+                         ../../GtpVisibilityPreprocessor/include/
+FILE_PATTERNS          = *.c \
+                         *.cc \
+                         *.cxx \
+                         *.cpp \
+                         *.c++ \
+                         *.d \
+                         *.java \
+                         *.ii \
+                         *.ixx \
+                         *.ipp \
+                         *.i++ \
+                         *.inl \
+                         *.h \
+                         *.hh \
+                         *.hxx \
+                         *.hpp \
+                         *.h++ \
+                         *.idl \
+                         *.odl \
+                         *.cs \
+                         *.php \
+                         *.php3 \
+                         *.inc \
+                         *.m \
+                         *.mm \
+                         *.dox
+RECURSIVE              = YES
+EXCLUDE                = 
+EXCLUDE_SYMLINKS       = NO
+EXCLUDE_PATTERNS       = */Test/*
+EXAMPLE_PATH           = 
+EXAMPLE_PATTERNS       = *
+EXAMPLE_RECURSIVE      = NO
+IMAGE_PATH             = 
+INPUT_FILTER           = 
+FILTER_PATTERNS        = 
+FILTER_SOURCE_FILES    = NO
+#---------------------------------------------------------------------------
+# configuration options related to source browsing
+#---------------------------------------------------------------------------
+SOURCE_BROWSER         = NO
+INLINE_SOURCES         = NO
+STRIP_CODE_COMMENTS    = YES
+REFERENCED_BY_RELATION = YES
+REFERENCES_RELATION    = YES
+VERBATIM_HEADERS       = YES
+#---------------------------------------------------------------------------
+# configuration options related to the alphabetical class index
+#---------------------------------------------------------------------------
+ALPHABETICAL_INDEX     = NO
+COLS_IN_ALPHA_INDEX    = 5
+IGNORE_PREFIX          = 
+#---------------------------------------------------------------------------
+# configuration options related to the HTML output
+#---------------------------------------------------------------------------
+GENERATE_HTML          = YES
+HTML_OUTPUT            = html
+HTML_FILE_EXTENSION    = .html
+HTML_HEADER            = 
+HTML_FOOTER            = 
+HTML_STYLESHEET        = 
+HTML_ALIGN_MEMBERS     = YES
+GENERATE_HTMLHELP      = NO
+CHM_FILE               = 
+HHC_LOCATION           = 
+GENERATE_CHI           = NO
+BINARY_TOC             = NO
+TOC_EXPAND             = NO
+DISABLE_INDEX          = YES
+ENUM_VALUES_PER_LINE   = 4
+GENERATE_TREEVIEW      = NO
+TREEVIEW_WIDTH         = 250
+#---------------------------------------------------------------------------
+# configuration options related to the LaTeX output
+#---------------------------------------------------------------------------
+GENERATE_LATEX         = YES
+LATEX_OUTPUT           = latex
+LATEX_CMD_NAME         = latex
+MAKEINDEX_CMD_NAME     = makeindex
+COMPACT_LATEX          = NO
+PAPER_TYPE             = a4wide
+EXTRA_PACKAGES         = 
+LATEX_HEADER           = header.tex
+PDF_HYPERLINKS         = YES
+USE_PDFLATEX           = YES
+LATEX_BATCHMODE        = NO
+LATEX_HIDE_INDICES     = NO
+#---------------------------------------------------------------------------
+# configuration options related to the RTF output
+#---------------------------------------------------------------------------
+GENERATE_RTF           = NO
+RTF_OUTPUT             = rtf
+COMPACT_RTF            = NO
+RTF_HYPERLINKS         = NO
+RTF_STYLESHEET_FILE    = 
+RTF_EXTENSIONS_FILE    = 
+#---------------------------------------------------------------------------
+# configuration options related to the man page output
+#---------------------------------------------------------------------------
+GENERATE_MAN           = NO
+MAN_OUTPUT             = man
+MAN_EXTENSION          = .3
+MAN_LINKS              = NO
+#---------------------------------------------------------------------------
+# configuration options related to the XML output
+#---------------------------------------------------------------------------
+GENERATE_XML           = NO
+XML_OUTPUT             = xml
+XML_SCHEMA             = 
+XML_DTD                = 
+XML_PROGRAMLISTING     = YES
+#---------------------------------------------------------------------------
+# configuration options for the AutoGen Definitions output
+#---------------------------------------------------------------------------
+GENERATE_AUTOGEN_DEF   = NO
+#---------------------------------------------------------------------------
+# configuration options related to the Perl module output
+#---------------------------------------------------------------------------
+GENERATE_PERLMOD       = NO
+PERLMOD_LATEX          = NO
+PERLMOD_PRETTY         = YES
+PERLMOD_MAKEVAR_PREFIX = 
+#---------------------------------------------------------------------------
+# Configuration options related to the preprocessor   
+#---------------------------------------------------------------------------
+ENABLE_PREPROCESSING   = YES
+MACRO_EXPANSION        = NO
+EXPAND_ONLY_PREDEF     = NO
+SEARCH_INCLUDES        = YES
+INCLUDE_PATH           = 
+INCLUDE_FILE_PATTERNS  = 
+PREDEFINED             = 
+EXPAND_AS_DEFINED      = 
+SKIP_FUNCTION_MACROS   = YES
+#---------------------------------------------------------------------------
+# Configuration::additions related to external references   
+#---------------------------------------------------------------------------
+TAGFILES               = 
+GENERATE_TAGFILE       = 
+ALLEXTERNALS           = NO
+EXTERNAL_GROUPS        = YES
+PERL_PATH              = /usr/bin/perl
+#---------------------------------------------------------------------------
+# Configuration options related to the dot tool   
+#---------------------------------------------------------------------------
+CLASS_DIAGRAMS         = NO
+HIDE_UNDOC_RELATIONS   = YES
+HAVE_DOT               = YES
+CLASS_GRAPH            = YES
+COLLABORATION_GRAPH    = YES
+GROUP_GRAPHS           = YES
+UML_LOOK               = YES
+TEMPLATE_RELATIONS     = NO
+INCLUDE_GRAPH          = YES
+INCLUDED_BY_GRAPH      = YES
+CALL_GRAPH             = YES
+GRAPHICAL_HIERARCHY    = YES
+DIRECTORY_GRAPH        = YES
+DOT_IMAGE_FORMAT       = png
+DOT_PATH               = 
+DOTFILE_DIRS           = 
+MAX_DOT_GRAPH_WIDTH    = 1024
+MAX_DOT_GRAPH_HEIGHT   = 1024
+MAX_DOT_GRAPH_DEPTH    = 1000
+DOT_TRANSPARENT        = NO
+DOT_MULTI_TARGETS      = NO
+GENERATE_LEGEND        = YES
+DOT_CLEANUP            = YES
+#---------------------------------------------------------------------------
+# Configuration::additions related to the search engine   
+#---------------------------------------------------------------------------
+SEARCHENGINE           = NO
